package ontology;

import java.util.Date;

import jade.content.AgentAction;

/**
 * @author Raquel Garca Arvalo
 * @code: ontology - Reubication Data to be Logged
 * 
 */

public class LogJourneyData implements AgentAction
{
	private int idVehicle;
	private int drivedTime;
	private int lostTime;
	private int restTime;
	private int km;
	private int kmIn;
	private int kmOut;
	private Date TimeIn;
	private Date TimeOut;
	private int infractionType; //0: No infraction, 1: Unable to park


	public int getdrivedTime() {
		return drivedTime;
	}
	
	public void setdrivedTime(int drivedTime) {
		this.drivedTime = drivedTime;
	}

	public int getlostTime() {
		return lostTime;
	}

	public void setlostTime(int lostTime) {
		this.lostTime = lostTime;
	}

	public int getrestTime() {
		return restTime;
	}

	public void setrestTime(int restTime) {
		this.restTime = restTime;
	}

	public int getKm() {
		return km;
	}

	public void setKm(int Km) {
		this.km = Km;
	}

	public int getKmIn() {
		return kmIn;
	}

	public void setKmIn(int kmIn) {
		this.kmIn = kmIn;
	}

	public int getKmOut() {
		return kmOut;
	}

	public void setKmOut(int kmOut) {
		this.kmOut = kmOut;
	}

	public int getIdVehicle() {
		return idVehicle;
	}

	public void setIdVehicle(int idVehicle) {
		this.idVehicle = idVehicle;
	}

	public int getInfractionType() {
		return infractionType;
	}

	public void setInfractionType(int infractionType) {
		this.infractionType = infractionType;
	}

	public Date getTimeIn() {
		return TimeIn;
	}

	public void setTimeIn(Date timeIn) {
		TimeIn = timeIn;
	}

	public Date getTimeOut() {
		return TimeOut;
	}

	public void setTimeOut(Date timeOut) {
		TimeOut = timeOut;
	}


}
