package ontology;

import jade.content.AgentAction;

import java.util.Date;

/**
 * @author Raquel Garca Arvalo
 * @code: ontology - Reubication Data to be Logged
 * 
 */

public class LogRelocation implements AgentAction {
	
	private Date relocationTime;
	private int affectedVehicles;
	private int relocableVehicles;
	private boolean success;
	private int relocatedVehicleOrder;
	private Float relocatedVehicleLostTime;
	
	
	public Date getRelocationTime() {
		return relocationTime;
	}

	public void setRelocationTime(Date relocationTime) {
		this.relocationTime = relocationTime;
	}

	public int getAffectedVehicles() {
		return affectedVehicles;
	}

	public void setAffectedVehicles(int affectedVehicles) {
		this.affectedVehicles = affectedVehicles;
	}

	public int getRelocableVehicles() {
		return relocableVehicles;
	}

	public void setRelocableVehicles(int relocableVehicles) {
		this.relocableVehicles = relocableVehicles;
	}

	public boolean getSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public int getRelocatedVehicleOrder() {
		return relocatedVehicleOrder;
	}

	public void setRelocatedVehicleOrder(int relocatedVehicleOrder) {
		this.relocatedVehicleOrder = relocatedVehicleOrder;
	}

	public Float getRelocatedVehicleLostTime() {
		return relocatedVehicleLostTime;
	}

	public void setRelocatedVehicleLostTime(Float relocatedVehicleLostTime) {
		this.relocatedVehicleLostTime = relocatedVehicleLostTime;
	}


}
